com.io7m.smfj.processing.main

## Class SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder

- java.lang.Object
- - com.io7m.smfj.processing.main.SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder

- Enclosing class:
    SMFMemoryMeshFilterTrianglesOptimizeConfiguration

      public static final class SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder
      extends Object

  Builds instances of type `SMFMemoryMeshFilterTrianglesOptimizeConfiguration`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFMemoryMeshFilterTrianglesOptimizeConfiguration` | `build()` Builds a new `SMFMemoryMeshFilterTrianglesOptimizeConfiguration`.
    `SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder` | `from(SMFMemoryMeshFilterTrianglesOptimizeConfigurationType instance)` Fill a builder with attribute values from the provided `SMFMemoryMeshFilterTrianglesOptimizeConfigurationType` instance.
    `SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder` | `setOptimize(int optimize)` Initializes the optional value `optimize` to optimize.
    `SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder` | `setOptimize(OptionalInt optimize)` Initializes the optional value `optimize` to optimize.
    `SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder` | `setValidate(boolean validate)` Initializes the value for the `validate` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder from(SMFMemoryMeshFilterTrianglesOptimizeConfigurationType instance)

      Fill a builder with attribute values from the provided `SMFMemoryMeshFilterTrianglesOptimizeConfigurationType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setOptimize

          public final SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder setOptimize(int optimize)

      Initializes the optional value `optimize` to optimize.
      Parameters:
        `optimize` - The value for optimize
      Returns:
        `this` builder for chained invocation

    - #### setOptimize

          public final SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder setOptimize(OptionalInt optimize)

      Initializes the optional value `optimize` to optimize.
      Parameters:
        `optimize` - The value for optimize
      Returns:
        `this` builder for use in a chained invocation

    - #### setValidate

          public final SMFMemoryMeshFilterTrianglesOptimizeConfiguration.Builder setValidate(boolean validate)

      Initializes the value for the `validate` attribute.
      Parameters:
        `validate` - The value for validate
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFMemoryMeshFilterTrianglesOptimizeConfiguration build()

      Builds a new `SMFMemoryMeshFilterTrianglesOptimizeConfiguration`.
      Returns:
        An immutable instance of SMFMemoryMeshFilterTrianglesOptimizeConfiguration
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com